%define pwlib_version 1.5.2
%define openh323_version 1.12.2

Summary: Gnome H.323 compatible client
Name: gnomemeeting
Version: 0.98.5
Release: 4mdk
License: GPL
Group: Video
BuildRequires: autoconf2.5
BuildRequires: libgnomeui2-devel >= 2.0.0
BuildRequires: openh323-devel >= %{openh323_version}
Buildrequires: pwlib-devel >= %{pwlib_version} 
BuildRequires: SDL1.2-devel
Source: http://130.104.229.225/gnomemeeting/downloads/%{name}-%{version}.tar.bz2
Source1:%{name}_icons.tar.bz2
Patch0: gnomemeeting-0.98.5-lib64.patch.bz2
# (fc) 0.98.5-4mdk allow compilation with libxml 2.6.x (CVS)
Patch1: gnomemeeting-0.98.5-libxml.patch.bz2

URL: http://www.gnomemeeting.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: pwlib1 >= %{pwlib_version}
Requires: openh323_1 >= %{openh323_version}
Conflicts: dynamic <= 0.3-2mdk

%description
GnomeMeeting is a tool to communicate with video and audio over the internet.
It uses the H323 protocol and is compatible with Microsoft Netmeeting.

%prep
%setup -q -a 1
%patch0 -p1 -b .lib64
%patch1 -p1 -b .libxml

#needed by patches 0 & 1
autoconf

#needed by patch1
autoheader

%build

%configure2_5x --with-openh323-includes=%{_includedir}/openh323 --disable-install-schemas

%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

#icons entries
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}

cp -a %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp -a %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp -a %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


#%menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%{name}" needs="x11" \
icon="%{name}.png" section="Internet/Video conference" \
title="Gnomemeeting" longtitle="Gnomemeeting"
EOF

%define launchers %{_sysconfdir}/dynamic/launchers/webcam
# dynamic support
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Gnomemeeting \$device
Comment=Gnomemeeting
TryExec=%{_bindir}/gnomemeeting
Exec=%{_bindir}/gnomemeeting
Terminal=false
Icon=gnomemeeting.png
Type=Application
EOF

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
%{update_menus}

update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %launchers/%name.desktop 40
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %launchers/%name.desktop 40

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
fi

%postun
%{clean_menus}

if [ $1 = 0 ]; then
  update-alternatives --remove webcam.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/%name.desktop
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gnomemeeting.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog FAQ AUTHORS INSTALL TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/gnomemeeting
%{_mandir}/*/*
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_menudir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %launchers/*.desktop

%changelog
* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.5-4mdk
- Patch1 (CVS): allow build with libxml 2.6.x
- Fix menu

* Wed Oct 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.98.5-3mdk
- BuildRequires

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.98.5-2mdk
- lib64 fixes

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.5-1mdk
- Release 0.98.5

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.4-1mdk
- Release 0.98.4

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.3-2mdk
- Fix BuildRequires

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.3-1mdk
- Release 0.98.3

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.2-1mdk
- Release 0.98.2

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.1-1mdk
- Release 0.98.1

* Thu Jul  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.98.0-1mdk
- Release 0.98.0

* Mon Mar 03 2003 Florin <florin@mandrakesoft.com> 0.96.1-2mdk
- update the pwlib and openh323 Requires versions

* Mon Mar 03 2003 Florin <florin@mandrakesoft.com> 0.96.1-1mdk
- 0.96.1

* Fri Feb 28 2003 Florin <florin@mandrakesoft.com> 0.96-4mdk
- rebuild

* Mon Feb 24 2003 Florin <florin@mandrakesoft.com> 0.96-3mdk
- add the MicroTelco patch

* Mon Jan 27 2003 Florin <florin@mandrakesoft.com> 0.96-2mdk
- really final release

* Thu Jan 23 2003 Florin <florin@mandrakesoft.com> 0.96-1mdk
- 0.96

* Mon Jan 20 2003 Florin <florin@mandrakesoft.com> 0.95-0.20030120.1mdk
- 2003-20-01
- fix the gconf-related commands (thx to F. Crozat)
- add some BuildRequires (thx to Michael Reinsch)

* Fri Oct 25 2002 Florin <florin@mandrakesoft.com> 0.94-0.1.1mdk
- 0.94.1
- new icons
- move to the video group 
- several new fixes/adaptions

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.93-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug 05 2002 Florin <florin@mandrakesoft.com> 0.93-2mdk
- 0.93.1

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 0.93-1mdk
- 0.93
- ugly add of a -lartsc
- add the bonobo file

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.92-0.4mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.92-0.3mdk
- Fix BuildRequires

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.92-0.2mdk
- Fix schema registration

* Mon Jun 17 2002 Florin <florin@mandrakesoft.com> 0.92-0.1mdk
- 0.92.1

* Wed Jun 12 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.86-0.2mdk
- Relax Requires: for pwlib and openh323. Florin may change that...
- Patch0: Include the correct <config.h> header. It will correctly
  define ENABLE_NLS so that further including <libintl.h> won't be
  messed up.

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 0.86-0.1mdk
- 0.86 snapshot

* Thu Mar 21 2002 Florin <florin@mandrakesoft.com> 0.85-2mdk
- add libGConf-devel in BuildRequires (thx to DUCLOS Andre)

* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 0.85-1mdk
- 0.85.0

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 0.84-1mdk
- 0.84.0
- compile with disable gconf and add it in post
- use png icons
- add the schemas file in the file list

* Wed Dec 05 2001 Florin <florin@mandrakesoft.com> 0.12-4mdk
- a new source 0.12-2 that fixes some bugs

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 0.12-3mdk
- new sources that fix some connexion bug

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 0.12-2mdk
- remove the --disable-crash-dialog
- Thx to F.Crozat

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 0.12-1mdk
- 0.12
- re --noapplet with --disable-crash-dialog

* Tue Nov 20 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.12-0.2mdk
- fix x86 specific perl -pi calls in spec file - should be arch neutral now

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 0.12-0.1mdk
- 18-11-01

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-4mdk
- Enforce dependencies
- Patch0: fix compilation with latest version of GNOME1 platform

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 0.11-3mdk
- new pwlib1 and openh323_1

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 0.11-2mdk
- rebuild for db3

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 0.11-1mdk
- 0.11

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-0.PRE3.3mdk
- BuildRequires: gettext-devel
- Remove redundant BuildRequires

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.11-0.PRE3.2mdk
- added dynamic desktop entry

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.11-0.PRE3.1mdk
- update the versions in Requires & Buildrequires sections
- use /usr/include/openh323 instead of /usr/include/oh323
- use -lh323_linux_x86_r instead if -loh323
- 0.11PRE3

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.10-8mdk
- add the versions in the Require section
- fix the permissions of some doc files

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-7mdk
- Fix menu entry for applet support
- Add missing directory

* Mon Aug 20 2001 Florin <florin@mandrakesoft.com> 0.10-6mdk
- rebuild due too pwlib fixes

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-5mdk
- update the xpm icons

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-4mdk
- new modified sources

* Sat Aug 18 2001 Florin <florin@mandrakesoft.com> 0.10-3mdk
- slighlty modified sources
- use the new PTLIB_INCLUDE_DIR & OPENH323_INCLUDE_DIR var
- don't need the old patches anymore
- add the ptlib patch because of pwlib

* Thu Aug 16 2001 Florin <florin@mandrakesoft.com> 0.10-2mdk
- added patches (more elegant)

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 0.10-1mdk
- first Mandrake release
